# SOIL MOISTURE PREDICTION
Python 3.9.5 


## Description
This script performs soil moisture prediction using a Random Forest model based on soil properties. Additionally, it allows for incorporating soil moisture uncertainty in the input file and performs a probabilistic prediction using a Monte Carlo approach.

## Badges
On some READMEs, you may see small images that convey metadata, such as whether or not all the tests are passing for the project. You can use Shields to add some to your README. Many services also have instructions for adding a badge.

## Visuals
Depending on what you are making, it can be a good idea to include screenshots or even a video (you'll frequently see GIFs rather than actual videos). Tools like ttygif can help, but check out Asciinema for a more sophisticated method.

## Installation
Within a particular ecosystem, there may be a common way of installing things, such as using Yarn, NuGet, or Homebrew. However, consider the possibility that whoever is reading your README is a novice and would like more guidance. Listing specific steps helps remove ambiguity and gets people to using your project as quickly as possible. If it only runs in a specific context like a particular programming language version or operating system or has dependencies that have to be installed manually, also add a Requirements subsection.

## Usage
Prepare your input soil moisture data
- Ensure your input CSV file includes x and y coordinates, date and soil moisture values.
- Optionally, include a or two columns for soil moisture uncertainty if available.
- Example CSV structure:

|   x   |   y   |     date      | soil moisture | lower error        | upper error |
|-------|-------|---------------|---------------|--------------------|-------------|
| 10.1  | 20.5  | 2022-02-15    | 0.4           | 0.38               | 0.42        |
| 12.0  | 22.8  | 2022-02-15    | 0.5           | 0.48               | 0.52        |
| 9.3   | 21.0  | 2022-02-16    | 0.6           | 0.58               | 0.62        |
| ...   | ...   | ...           | ...           | ...                | ...         |

Prepare your soil propertie data:
- ASCII/CSV files should include x,y coordinates and property values
- Example ASCII file:

|   x   |   y   |     value     |
|-------|-------|---------------|
| 10.1  | 20.5  |     167       |
| 12.0  | 22.8  |     196       |

## Support
Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.

## Roadmap
If you have ideas for releases in the future, it is a good idea to list them in the README.

## Authors and acknowledgment
Show your appreciation to those who have contributed to the project.

## License
For open source projects, say how it is licensed.

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.
